# Uses of Interface
org.eclipse.ecf.core.sharedobject.security.ISharedObjectPolicy

Packages that use ISharedObjectPolicy
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.provider.generic

## Uses of ISharedObjectPolicy in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject with parameters of type ISharedObjectPolicy
Modifier and Type
Method
Description
`void`
ISharedObjectManager.`setRemoteAddPolicy(ISharedObjectPolicy policy)`
Set this shared object manager's policy for adding remote shared objects.

## Uses of ISharedObjectPolicy in org.eclipse.ecf.provider.generic

Fields in org.eclipse.ecf.provider.generic declared as ISharedObjectPolicy
Modifier and Type
Field
Description
`protected ISharedObjectPolicy`
SOContainer.`policy`
Methods in org.eclipse.ecf.provider.generic with parameters of type ISharedObjectPolicy
Modifier and Type
Method
Description
`protected void`
SOContainer.`setRemoteAddPolicy(ISharedObjectPolicy policy)`
`void`
SOManager.`setRemoteAddPolicy(ISharedObjectPolicy policy)`